''' Data class for motifs '''
from typing import Dict, List
from dataclasses import dataclass, field
import numpy as np


@dataclass
class Motifs:
    """ Class for keeping track of motifs"""
    motifs: Dict[str, np.ndarray]
    alphabet: str
    alphabet_revcomp_pairs: Dict[str, str]
    motif_ids: List[str] = field(init=False)

    def __post_init__(self):
        ''' Define motif ids as a list '''
        self.motif_ids = list(self.motifs.keys())
