''' Data class for positions '''
from typing import Tuple, List
from dataclasses import dataclass


@dataclass
class Positions:
    """ Class for keeping track of positions"""
    positions: List[Tuple[int]]
    to_replace: bool

    def __post_init__(self):
        ''' Save positions in reverse order to facilitate insertion '''
        self.positions.sort(reverse=True)
